%global commit 053330fb085a2f59c506d47c0939dcfdef7abdfd
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           takari-local-repository
Version:        0.11.0
Release:        3%{?dist}
Summary:        Takari :: Local Repository

License:        EPL
URL:            https://github.com/takari/%{name}
Source0:        https://github.com/takari/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        eclipse-1.0.txt
Patch0:         takari-local-repository-dependency-scopes.patch
BuildArch:      noarch
Obsoletes:      tesla-concurrent-localrepo <= 0.0.3-2

BuildRequires: mvn(com.googlecode.multithreadedtc:multithreadedtc)
BuildRequires: mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires: mvn(org.eclipse.aether:aether-test-util)
BuildRequires: mvn(io.takari:takari-filemanager)
BuildRequires: mvn(io.takari.maven.plugins:takari-lifecycle-plugin)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.sonatype.plugins:sisu-maven-plugin)
BuildRequires: maven-local

%description
This extension for Aether contains a synchronization context that
employs OS-level file locks to enable safe concurrent access to the
local repository across processes.
  

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{commit}
%patch0 -p0
cp %{SOURCE1} .

# Doesn't really need the parent and it's not packaged
%pom_remove_parent

%build
# Tests currently fail because they expect an older version of aether
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc eclipse-1.0.txt

%files javadoc -f .mfiles-javadoc
%doc eclipse-1.0.txt

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 11 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.11.0-1
- Update to upstream version 0.11.0

* Sun Aug 31 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.10.2-3
- Fix dependency scopes
- Don't remove sisu-maven-plugin from POM

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Gerard Ryan <galileo@fedoraproject.org> - 0.10.2-1
- Package rename to takari-local-repository; update to latest upstream
- Add Obsoletes on tesla-concurrent-localrepo
- Remove sisu-maven-plugin (retired in Fedora)

* Sat Nov 23 2013 Gerard Ryan <galileo@fedoraproject.org> - 0.0.3-1
- Initial rpm
